
<?php 

date_default_timezone_set('America/Fortaleza');

//Inclui o arquivo class.phpmailer.php localizado na pasta phpmailer
require("class.phpmailer.php");

//Inicia a classe PHPMailer
$mail = new PHPMailer();

//Variáveis
$nome = $_POST['nome'];
$email = $_POST['email'];
$assunto = $_POST['assunto'];
$mensagem = $_POST['mensagem'];
$data_envio = date('d/m/Y');
$hora_envio = date('H:i:s');

// Composicao do E-mail
  $arquivo = "
  <style type='text/css'>
  body {
  margin:0px;
  font-family:Verdane;
  font-size:12px;
  color: #666666;
  }
  a{
  color: #666666;
  text-decoration: none;
  }
  a:hover {
  color: #FF0000;
  text-decoration: none;
  }
  </style>
    <html>
        <table width='510' border='1' cellpadding='1' cellspacing='1' bgcolor='#CCCCCC'>
			<tr>
				<td width='500'>Nome:$nome</td>
			</tr>
			<tr>
				<td width='320'>E-mail:<b>$email</b></td>
			</tr>
			<tr>
				<td width='320'>Telefone:<b>$assunto</b></td>
			</tr>
			<tr>
				<td width='320'>Mensagem:$mensagem</td>
			</tr>
			<tr>
				<td>Este e-mail foi enviado em <b>$data_envio</b> às <b>$hora_envio</b></td>
			</tr>
        </table>
    </html>
  ";

// Define os dados do servidor e tipo de conexão
$mail->SMTP_Port         = 587;                      //set the SMTP port
$mail->SMTPSecure   = "tls";                    //sets the prefix to the servier
$mail->IsSMTP(); // Define que a mensagem será SMTP
$mail->Host = 'smtp.gmail.com'; // Endereço do servidor SMTP
$mail->SMTPAuth = true; // Autenticação
$mail->Username = 'camilo@souzamafra.com.br'; // Usuário do servidor SMTP
$mail->Password = '@CCL071618'; // Senha da caixa postal utilizada

// Define o remetente
$mail->From = $email; 
$mail->FromName = $nome;

// Define os destinatário(s)
$mail->AddAddress('camilo@souzamafra.com.br', 'Camilo Mafra');
$mail->AddAddress('camilo@souzamafra.com.br');
$mail->AddCC('camilo@souzamafra.com.br', 'Copia'); 
$mail->AddBCC('camilo@souzamafra.com.br', 'Copia Oculta');

// Define os dados técnicos da Mensagem
$mail->IsHTML(true); // Define que o e-mail será enviado como HTML
$mail->CharSet = 'iso-8859-1'; // Charset da mensagem (opcional)

// Texto e Assunto
$mail->Subject  = 'Souza Mafra [contato via site]'; // Assunto da mensagem
$mail->Body = $arquivo;
$mail->AltBody = '';

	
// Envio da Mensagem
$enviado = $mail->Send();	
	
// Limpa os destinatários e os anexos	
$mail->ClearAllRecipients();
$mail->ClearAttachments();	

// Exibe uma mensagem de resultado
if ($enviado) {
echo "E-mail enviado com sucesso!";


} else {
echo "Não foi possível enviar o e-mail.
 
";
echo "Informações do erro: 
" . $mail->ErrorInfo;
}


?>

